Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360293 - [RFE] Ability to monitor whether a Unmanaged host is up or not, after a reboot through the remote execution feature.
Summary: [RFE] Ability to monitor whether a Unmanaged host is up or not, after a reboo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 12:07 UTC by Mihir Lele
Modified: 2018-09-06 21:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:06:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15872 None None None 2016-07-28 08:47:33 UTC

Comment 1 Bryan Kearney 2016-07-26 18:53:46 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 2 Ivan Necas 2016-07-27 16:27:33 UTC
If I understand it correctly, the ask is, when the reboot happens, to not finish the job until the host is available again. Is this correct?

Comment 3 Mihir Lele 2016-07-27 16:54:45 UTC
Yes, Either that, or It could be some kind of a flag confirming that the system is up again.

Comment 4 Ivan Necas 2016-07-28 08:47:31 UTC
Created redmine issue http://projects.theforeman.org/issues/15872 from this bug

Comment 5 Ivan Necas 2016-07-28 10:57:50 UTC
If we broaden the requirement a bit, also to be able to run some scripts after the reboot, what about, if we introduced a kind of macro in the job template to indicate waiting for the exectuion, so it could look like this:

```
yum updtae -y
reboot
### WAIT_FOR_RECONNECT ###
echo 'Restarted after reboot' >> /etc/motd
```

This way the execution would be split into two parts, and the second part would be executed after the reboot happens. If the second part was missing (the `### WAIT_FOR_RECONNECT ###` would be the last line  in the template, it would serve just as waiting for the reconnection, as required by this RFE.

The `### WAIT_FOR_RECONNECT ###` macro could be used multiple times in the job.

Would this fit the requirements raised in the RFE?

Comment 6 Bryan Kearney 2018-09-04 18:56:25 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 7 Bryan Kearney 2018-09-04 19:06:55 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.